Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593291 - Wrong License in Spec file
Summary: Wrong License in Spec file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jay Greguske
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 594073
TreeView+ depends on / blocked
 
Reported: 2010-05-18 13:00 UTC by Jay Greguske
Modified: 2016-04-26 13:53 UTC (History)
9 users (show)

Fixed In Version: virtio-win-1.0.0-8.2.41879.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 594073 (view as bug list)
Environment:
Last Closed: 2010-08-16 07:28:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jay Greguske 2010-05-18 13:00:34 UTC
The spec file for the package lists the license as:

GPLv2 and Microsoft Proprietary

It should be:

GPLv2 and Red Hat Proprietary

Comment 2 Perry Myers 2010-05-18 14:11:05 UTC
Based on additional thread with PM, the decision was changed to make spec file say only:

"Red Hat Proprietary" and to remove any mention of GPLv2 from the spec file altogether.

But I have a follow up question on this.  If we change the spec file to say only Red Hat Proprietary but the SRPM contains a source tarball where all of the actual source code has GPLv2 headers on it, doesn't this conflict?  Shouldn't the spec file license accurately reflect the licenses of all of the included source code?

If we did "GPLv2 or Red Hat Proprietary" then this wouldn't be a problem, since the 'or' covers us wrt the actual license headers.

Alternatively it would seem to me that we'd need to change all of the source code headers to remove the GPLv2 stuff if we're going to license the top level spec as "Red Hat Proprietary" only.

Would like comments from acathrow and rfontana on this one.

Comment 4 Richard Fontana 2010-05-18 14:46:16 UTC
(In reply to comment #2)

As a general rule, RHEL follows Fedora conventions regarding licensing issues in packaging. The relevant Fedora convention is noted here:
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
which says:

  The License: field refers to the licenses of the contents of the binary rpm. 

(with "binary" given emphasis). This point reflects the fact that there is not necessarily an equivalence of source code licensing and the licensing of generated binaries (although usually there is, at least in the Fedora and Red Hat worlds).

Red Hat is licensing out the source code for this package solely under the GPL. Thus, GPL license notices in the source RPM are correct and should not be changed. However, the binary RPM that is included in RHEL is licensed out by Red Hat solely under a Red Hat proprietary license. Therefore, the spec file License: field should say "Red Hat Proprietary" only. There is no actual licensing conflict here.

Comment 6 Jay Greguske 2010-07-06 12:08:48 UTC
Fixed in cvs. When the new drivers are ready I'll brew a new RPM.

Comment 8 Jay Greguske 2010-07-06 20:34:19 UTC
Built a new RPM anyway, and filled in Fixed In Version field.

Comment 9 Shirley Zhou 2010-08-16 07:28:51 UTC
Verified with package virtio-win-1.0.0-8.2.41879.el6.noarch.rpm https://brewweb.devel.redhat.com/buildinfo?buildID=136702

[root@dhcp-91-145 ~]# rpm -qi virtio-win
Name        : virtio-win                   Relocations: (not relocatable)
Version     : 1.0.0                             Vendor: Red Hat, Inc.
Release     : 8.2.41879.el6                 Build Date: Tue 06 Jul 2010 04:29:36 PM EDT
Install Date: Mon 16 Aug 2010 03:13:22 AM EDT      Build Host: x86-003.build.bos.redhat.com
Group       : Applications/System           Source RPM: virtio-win-1.0.0-8.2.41879.el6.src.rpm
Size        : 17125341                         License: Red Hat Proprietary
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/
Summary     : VirtIO para-virtualized drivers for Windows(R)
Description :
VirtIO para-virtualized Windows(R) drivers for 32-bit and 64-bit
Windows(R) guests.

Close this bug as fixed.


Note You need to log in before you can comment on or make changes to this bug.